Get saved card details
curl --request GET \
--url https://api.hit-pay.com/v1/recurring-billing/{recurring_billing_id} \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/recurring-billing/{recurring_billing_id}"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/recurring-billing/{recurring_billing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9ad461a8-47ec-4f95-aeb3-1a3d16fec521",
"business_recurring_plans_id": null,
"customer_name": "API_Save_Card_1702369621",
"customer_email": "test@gmail.com",
"customer_phone_number": null,
"customer_phone_number_country_code": null,
"name": "API_Save_Card_New_1702369621",
"description": "description_1702369621",
"reference": "cust_id_123",
"cycle": "save_card",
"cycle_repeat": null,
"cycle_frequency": null,
"currency": "usd",
"price": 94.27,
"amount": 94.27,
"times_to_be_charged": null,
"times_charged": null,
"status": "canceled",
"send_email": 1,
"save_card": 1,
"redirect_url": "https://www.google.com/",
"payment_methods": [
"giro",
"card"
],
"payment_provider_charge_method": "card",
"created_at": "2023-12-12T16:27:01",
"updated_at": "2023-12-13T09:33:02",
"pause_from": null,
"pause_until": null,
"expires_at": null,
"url": "https://securecheckout.staging.hit-pay.com/98567029-f559-49f9-916b-042a4255b32a/recurring-plan/9ad461a8-47ec-4f95-aeb3-1a3d16fec521",
"dbs_dda_reference": "RP94OH2LYZY",
"total_charge": 0,
"payment_method": {
"card": {
"brand": "visa",
"last4": "4242"
}
}
}"{\n \"message\": \"No query results for model [App\\\\Business\\\\SubscriptionPlan] 973ee456-d28f-4418-93c5-d37e4b311685\"\n}"Saved Card Billing
Get Saved Card Details
Retrieve saved card details (last 4 digits and brand) for a subscription
GET
/
v1
/
recurring-billing
/
{recurring_billing_id}
Get saved card details
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
Response
200
Show child attributes
Show child attributes
Last modified on February 25, 2026
Was this page helpful?
⌘I